{
    attributes = (
        {
            columnName = ADM; 
            externalType = CHAR; 
            name = administration; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dateCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEBUT"; 
            externalType = DATE; 
            name = dateDebutApplication; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN"; 
            externalType = DATE; 
            name = dateFinApplication; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dateModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = DEPARTEMENT; 
            externalType = CHAR; 
            name = departement; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {allowsNull = N; columnName = "ID_PARAMETRES"; name = id; prototypeName = id; }, 
        {
            columnName = "PERS_ID_CREATION"; 
            externalType = NUMBER; 
            name = idPersonneCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = idPersonneModification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_TYPE_FLUX"; 
            externalType = NUMBER; 
            name = idTypeFluxPaiement; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEMPLATE_NOM_FLUX"; 
            externalType = VARCHAR2; 
            name = templateNomFlux; 
            valueClassName = NSString; 
            valueType = c; 
            width = 100; 
        }
    ); 
    attributesUsedForLocking = (id); 
    className = "org.cocktail.peche.entity.EOParametresFluxPaiement"; 
    classProperties = (
        administration, 
        dateCreation, 
        dateDebutApplication, 
        dateFinApplication, 
        dateModification, 
        departement, 
        templateNomFlux, 
        toListeDetailFluxPaiement, 
        toPersonneCreation, 
        toPersonneModification, 
        toTypeFluxPaiement
    ); 
    externalName = "GRH_PECHE.PARAMETRES_FLUX_PAIEMENT"; 
    fetchSpecificationDictionary = {}; 
    name = EOParametresFluxPaiement; 
    primaryKeyAttributes = (id); 
    relationships = (
        {
            deleteRule = EODeleteRuleCascade; 
            destination = EODetailFluxPaiement; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idParametreFluxPaiement; sourceAttribute = id; }); 
            name = toListeDetailFluxPaiement; 
        }, 
        {
            destination = "FwkDroitsUtils_Personne"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = idPersonneCreation; }); 
            name = toPersonneCreation; 
        }, 
        {
            destination = "FwkDroitsUtils_Personne"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = idPersonneModification; }); 
            name = toPersonneModification; 
        }, 
        {
            destination = EOTypeFluxPaiement; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = idTypeFluxPaiement; }); 
            name = toTypeFluxPaiement; 
        }
    ); 
}
